import imaplib, email, re, sys
import android

droid = android.Android()

try:
  server = imaplib.IMAP4_SSL('imap.gmail.com') 
  server.login('MY_GMAIL_USER_NAME', 'MY_GMAIL_PASSWORD') 
  mailboxes = server.list()
  server.select("INBOX") 
except:
  droid.ttsSpeak("There was a problem connecting to the server.")
  sys.exit()

try:
  unread_messages = server.search(None, "UNSEEN")[1][0].split()#(1)
  unread_count = len(unread_messages)#(2)
  if unread_count == 1:#(3)
    droid.ttsSpeak(str(unread_count) + " unread message.")
  elif unread_count == 0:
    droid.ttsSpeak("No unread messages.")
  else:
    droid.ttsSpeak(str(unread_count) + "unread messages.")

  for item in unread_messages:#(4)
    droid.ttsSpeak("Message " + str(item) + ".")
    typ, message_content = server.fetch(str(item), '(RFC822)')
    for response in message_content:#(5)
      if isinstance(response, tuple):
        message = email.message_from_string(response[1])
        for header in ['FROM', 'SUBJECT']:#(6)
          droid.ttsSpeak(str(header.upper()) + " " + \
          str(re.sub(r'<.*>', "", message[header])))

except:#(7)
  droid.ttsSpeak("There was a problem parsing the messages.")
