import android #(1)
import random
import xmpp

droid = android.Android() #(2)
location = droid.getIntent().result[u'extras'][u'%LOC']
battery = droid.getIntent().result[u'extras'][u'%BATT']
date = droid.getIntent().result[u'extras'][u'%DATE']
time = droid.getIntent().result[u'extras'][u'%TIME']

username = 'secondary_address@gmail.com' #(3)
password = 'secondary_address_password'
recipient = 'primary_address@gmail.com'

uid = xmpp.protocol.JID(username)  #(4)
client = xmpp.Client(uid.getDomain(), debug=[])
client.connect(server=('talk.google.com',5223))

auth = client.auth(uid.getNode(), password, 'JabberTracker')

client.sendInitPresence()
#(5)
message = xmpp.Message(recipient,
                       'I am here: http://maps.google.com/maps?q='
                       + location + ' at ' + time + ' on ' + date 
                       + '. Battery level at ' + battery + '%.')
message.setAttr('type', 'chat')
message.setAttr('id', random.randrange(1,10000000)) #(6)
client.send(message) #(7)
client.disconnect()