from forecastio import Forecastio #(1)
import android
import datetime

droid = android.Android()

MY_API_KEY = "YOUR_FORECASTIO_DEVELOPER_API_KEY_GOES_HERE" #(2)

forecast = Forecastio(MY_API_KEY) #(3)
location = droid.getIntent().result[u'extras'][u'%LOC']

latitude, longitude = location.split(',') #(4)
current_time = datetime.datetime.now()
response = forecast.loadForecast(latitude,longitude, time=current_time, units="us")

if response['success'] is True: #(5)
    Current = forecast.getCurrently()
    Hour = forecast.getHourly()
    result = str(Current.temperature) + 
    "F and " + str(Current.summary) + ":" + str(Hour.summary)
    # droid.ttsSpeak(result)
    droid.setClipboard(result) #(6)
else:
    droid.setClipboard("There was a problem connecting to the server.")
